# remirepo/fedora spec file for php-tecnickcom-tc-lib-unicode
#
# Copyright (c) 2016-2019 Remi Collet
# License: CC-BY-SA
# http://creativecommons.org/licenses/by-sa/4.0/
#
# Please, preserve the changelog entries
#
%global gh_commit    382c02f6426e64508a1b46a02897d401286f7859
%global gh_short     %(c=%{gh_commit}; echo ${c:0:7})
%global c_vendor     tecnickcom
%global gh_owner     tecnickcom
%global gh_project   tc-lib-unicode
%global php_project  %{_datadir}/php/Com/Tecnick/Unicode
%global with_tests   0%{!?_without_tests:1}

Name:           php-%{gh_owner}-%{gh_project}
Version:        1.3.9
Release:        1%{?dist}
Summary:        PHP library containing Unicode methods

License:        LGPLv3+
URL:            https://github.com/%{gh_owner}/%{gh_project}
Source0:        https://github.com/%{gh_owner}/%{gh_project}/archive/%{gh_commit}/%{gh_project}-%{version}-%{?gh_short}.tar.gz

BuildArch:      noarch
%if %{with_tests}
# For tests
%if 0%{?fedora} >= 28 || 0%{?rhel} >= 8
%global phpunit %{_bindir}/phpunit7
%else
%global phpunit %{_bindir}/phpunit
%endif
BuildRequires:  %{phpunit}
BuildRequires:  php(language) >= 5.4
%if 0%{?fedora} >= 27 || 0%{?rhel} >= 8
BuildRequires: (php-composer(%{c_vendor}/tc-lib-unicode-data) >= 1.6.9  with php-composer(%{c_vendor}/tc-lib-unicode-data) < 2)
%else
BuildRequires:  php-composer(%{c_vendor}/tc-lib-unicode-data) <  2
BuildRequires:  php-composer(%{c_vendor}/tc-lib-unicode-data) >= 1.6.9
%endif
BuildRequires:  php-mbstring
BuildRequires:  php-pcre
%endif

# From composer.json, "require": {
#        "php": ">=5.4"
#        "ext-mbstring": "*",
#        "ext-pcre": "*",
#        "tecnickcom/tc-lib-unicode-data": "^1.6.9"
Requires:       php(language) >= 5.4
Requires:       php-mbstring
Requires:       php-pcre
%if 0%{?fedora} >= 27 || 0%{?rhel} >= 8
Requires:      (php-composer(%{c_vendor}/tc-lib-unicode-data) >= 1.6.9  with php-composer(%{c_vendor}/tc-lib-unicode-data) < 2)
%else
Requires:       php-composer(%{c_vendor}/tc-lib-unicode-data) <  2
Requires:       php-composer(%{c_vendor}/tc-lib-unicode-data) >= 1.6.9
%endif
# From phpcompatinfo report for version 1.2.1
# None

# Composer
Provides:       php-composer(%{c_vendor}/%{gh_project}) = %{version}
# Upstream package name
Provides:       php-%{gh_project} = %{version}


%description
PHP library containing Unicode and UTF-8 methods, including the
Unicode Bidirectional Algorithm.

The initial source code has been derived from TCPDF (http://www.tcpdf.org/).


%prep
%setup -q -n %{gh_project}-%{gh_commit}

: Sanity check
grep -q '^%{version}$' VERSION


%build
# Empty build section, most likely nothing required.


%install
mkdir -p   $(dirname %{buildroot}%{php_project})
cp -pr src %{buildroot}%{php_project}
cp -p  resources/autoload.php \
           %{buildroot}%{php_project}/autoload.php


%check
%if %{with_tests}
mkdir vendor
cat <<EOF | tee vendor/autoload.php
<?php
require '%{buildroot}%{php_project}/autoload.php';
require '%{php_project}/Data/autoload.php';
EOF

ret=0
for cmdarg in "php %{phpunit}" "php56 %{_bindir}/phpunit" "php70 %{_bindir}/phpunit6" php71 php72 php73 php74; do
   if which $cmdarg; then
      set $cmdarg
      $1 ${2:-%{_bindir}/phpunit7} --no-coverage --verbose || ret=1
   fi
done
exit $ret
%else
: Test suite disabled
%endif


%files
%{!?_licensedir:%global license %%doc}
%license LICENSE
%doc composer.json
%doc README.md
%{php_project}/*


%changelog
* Fri Sep 20 2019 Remi Collet <remi@remirepo.net> - 1.3.9-1
- update to 1.3.9
- drop patch merged upstream

* Fri Sep 13 2019 Remi Collet <remi@remirepo.net> - 1.3.8-2
- add patch for 7.4 from
  https://github.com/tecnickcom/tc-lib-unicode/pull/5

* Mon Jun 25 2018 Remi Collet <remi@remirepo.net> - 1.3.8-1
- update to 1.3.8 (no change)

* Mon May 14 2018 Remi Collet <remi@remirepo.net> - 1.3.7-1
- update to 1.3.7 (no change)
- switch to phpunit7
- use range dependencies

* Tue Jan  2 2018 Remi Collet <remi@remirepo.net> - 1.3.6-1
- Update to 1.3.6

* Sun Feb 12 2017 Remi Collet <remi@remirepo.net> - 1.3.5-1
- update to 1.3.5 (no change)

* Mon Feb  6 2017 Remi Collet <remi@remirepo.net> - 1.3.4-1
- update to 1.3.4 (no change)

* Fri Sep  2 2016 Remi Collet <remi@fedoraproject.org> - 1.3.3-1
- update to 1.3.3 (no change)
- raise dependency on tecnickcom/tc-lib-unicode-data >= 1.6.3

* Tue Jun 14 2016 Remi Collet <remi@fedoraproject.org> - 1.3.0-1
- update to 1.3.0 (no change)

* Fri Mar  4 2016 Remi Collet <remi@fedoraproject.org> - 1.2.2-1
- update to 1.2.2 (no change)

* Fri Jan 15 2016 Remi Collet <remi@fedoraproject.org> - 1.2.1-1
- initial package, version 1.2.1

